import React from "react";

const Chevron = () => (
  <svg
    xmlnsXlink="http://www.w3.org/1999/xlink"
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 12 12"
    className="sc-hHftDr bphBpT"
    rotate="0"
    data-test="IconComponent"
    width="16"
    height="20"
  >
    <rect
      rotate="0"
      data-test="IconComponent"
      className="sc-fKFyDc gYoavR"
      fillOpacity="0"
      fill="#000000"
    />
    <polygon
      transform="translate(5.949747, 4.949747) rotate(-45.000000) translate(-5.949747, -4.949747) "
      points="4.44974747 6.44974747 4.44974747 1.44974747 2.44974747 1.44974747 2.44974747 8.44974747 9.44974747 8.44974747 9.44974747 6.44974747"
      fill="#0A0B0D"
    />
  </svg>
);
interface AnalyticsProps {
  clicks: number;
}

const Analytics: React.FC<AnalyticsProps> = ({ clicks }) => {
  return (
    <div className="w-full h-12 lt-lg:h-16 mr-0 px-4 lt-lg:px-6 flex flex-row border-b border-analytics-border text-sm font-karla">
      <div className="w-full h-full flex-analytics flex flex-row justify-start items-center">
        <span className="mr-4 font-bold">Lifetime Analytics:</span>
        <div className="mr-8 flex flex-row justify-center items-center">
          <div className="h-2 w-2 mr-2 rounded bg-analytics-click-icon"></div>
          <div className="flex flex-col lt-lg:flex-row text-xs lt-lg:text-base font-normal">
            <p className="whitespace-pre">Clicks: </p>
            <p className="font-bold lt-lg:font-normal">{clicks || "-"}</p>
          </div>
        </div>
      </div>
      <div className="w-full h-full flex-chevron flex flex-row justify-center items-center">
        <Chevron />
      </div>
    </div>
  );
};

export default Analytics;
